#ifndef FORMEDITFEED_H
#define FORMEDITFEED_H

#include <QDialog>
#include <QStringList>

#include "ui_formeditfeed.h"
#include "rssfeed.h"
#include "rssreader.h"


namespace Ui {
    class FormEditFeed;
}

class FormEditFeed : public QDialog {

        Q_OBJECT

    public:
        explicit FormEditFeed(RssReader *reader, QWidget *parent = 0, const QString &suggestedCategory=QString(), const QString &link = "http://www.example.com/feed.xml");
        ~FormEditFeed();
        RssFeed *editFeed(RssFeed *oldFeed = NULL);

    private:
        Ui::FormEditFeed *ui;
        RssReader *reader;
        RssFeed *oldFeed;

    private slots:
        void checkFeed();
        void checkLink();
        void showHelp();
        bool testLink(const QString &link = QString());
        void advance();

		void showAuthThings();

};


#endif // FORMEDITFEED_H
