#ifndef UIFACTORY_H
#define UIFACTORY_H


class QWebView;
class QString;
class QIcon;


class UiFactory {

    private:

        UiFactory() { }
        ~UiFactory() { }

    public:

        ////////////
        // UI Stuff
        ////////////

		static QIcon stateNewIcon;
		static QIcon stateNormalIcon;
		static QIcon stateErrorIcon;

		// displays messages with given title and description into given view (QWebView)
		static void displayMessage(QWebView *view, const QString &title, const QString &desc = QString());

		// returns html-ized text
        static QString getHeader(const QString &text);

		// setsUp state icons
		static void setupStateIcons(const QString &neww,
									const QString &normal,
									const QString &error);

};

#endif // UIFACTORY_H
